Table of Contents

Class: PreferencesLexer | eric3/Preferences/PreferencesLexer.py
--- | ---

Subclass of QextScintillaLexer to implement preferences specific lexer methods.

Base Classes |
--- | ---
QextScintillaLexer

Methods |
--- | ---

__init__ color description eolFill font language | lexer paper setColor setEolFill setFont setPaper

| __init__

    __init__ (
            self,
            language,
            parent=None,
            name=None,
            )

Exceptions |
--- | ---
RuntimeError, 'Unsupported Lexer Language: %s' % language

| color

    color ( self,  style )

### Reimplemented method to get the colour of a style.

#### Arguments

style
  the style number (int)

#### Returns

colour

| description

    description ( self,  style )

### Public method to get a descriptive string for a style.

#### Arguments

style
  the style number (int)

#### Returns

description of the style (QString)

| eolFill

    eolFill ( self,  style )

### Reimplemented method to get the eolFill flag for a style.

#### Arguments

style
  the style number (int)

#### Returns

eolFill flag

| font

    font ( self,  style )

### Reimplemented method to get the font for a style.

#### Arguments

style
  the style number (int)

#### Returns

font

| language

    language ( self )

### Public method to get the lexers programming language.

#### Returns

language

| lexer

    lexer ( self )

### Public method to get a reference to the underlying lexer object.

#### Returns

reference to the lexer

| paper

    paper ( self,  style )

### Reimplemented method to get the background for a style.

#### Arguments

style
  the style number (int)

#### Returns

colour

| setColor

    setColor (
            self,
            c,
            style,
            )

### Reimplemented method to set the colour for a style.

#### Arguments

c
  coulor (int)
style
  the style number (int)

| setEolFill

    setEolFill (
            self,
            eolfill,
            style,
            )

### Reimplemented method to set the eolFill flag for a style.

#### Arguments

eolfill
  eolFill flag (boolean)
style
  the style number (int)

| setFont

    setFont (
            self,
            f,
            style,
            )

### Reimplemented method to set the font for a style.

#### Arguments

f
  font
style
  the style number (int)

| setPaper

    setPaper (
            self,
            c,
            style,
            )

### Reimplemented method to set the background for a style.

#### Arguments

c
  coulor (int)
style
  the style number (int)

Table of Contents

This document was automatically generated by HappyDoc version 2.1